<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head th:include="componentes/asset::asset">

<body class="container">

    <button id="btn" type="button" class="btn btn-success mt-3">Formulario</button>
    <button id="btn2" type="button" class="btn btn-dark mt-3">Tabla</button>
    <div class="row">
        <div class="col-xs-6 col-sm-6">
            <h1>Prueba de AJAX</h1>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Accusantium sed, reprehenderit impedit amet
                magnam corporis vitae veniam in, rerum ea provident odit exercitationem ad minima excepturi iure tenetur
                incidunt id? Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quas sit sed similique
                repudiandae, voluptatum aspernatur quos necessitatibus porro voluptate, quibusdam rerum itaque quia eum
                ab aperiam odio, quam saepe. Mollitia. Lorem ipsum dolor sit amet consectetur adipisicing elit.
                Voluptatibus quis recusandae voluptas mollitia adipisci velit sint ipsam reprehenderit? Autem
                distinctio, porro sunt officiis quisquam enim nihil. Molestiae praesentium repellat fuga? Lorem ipsum
                dolor sit amet, consectetur adipisicing elit. Similique repudiandae dolorem minus accusamus iusto iure
                perspiciatis nam molestiae, autem, id blanditiis temporibus delectus a natus cum porro excepturi soluta
                explicabo.
            </p>
            <div id="cont">

            </div>
        </div>
        <div class="col-xs-6 col-sm-6">
            <h2>CONTENDIO DE RESPUESTA A LA PETICION AJAX</h2>
            <div id="response">

            </div>
            <div>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <td>ID</td>
                            <td>TITULO</td>
                        </tr>
                    </thead>
                    <tbody id="r2">

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div th:include="componentes/script::script"></div>
    <script>
        $(document).ready(inicio);

        function inicio() {
            $('#btn').click(peticion);
            var x = $('p');
            x.mouseenter(tabla);
            x.mouseout(function () { $('#cont').html(""); });

            $('table').hide();
            var c = $('h2');
            c.mouseenter(muestra);
            c.mouseout(function () { $('#r2').html(""); $('table').hide(); });
        }

        function peticion() {
            $.ajax({
                method: "get",
                url: "/prueba/vista2",
                data: null,
                success: function (response) {
                    $('#response').html(response);
                },
                error: function (response) {
                    alert('Erros!: ' + response);
                }

            });
        }

        function tabla() {
            $.ajax({
                method: "get",
                url: "/prueba/vista3",
                data: null,
                success: function (response) {
                    $('#cont').html(response);
                },
                error: function (response) {
                    alert('Error: ' + response);
                }
            });
        }

        function muestra() {
            $('table').show();
            $.ajax({
                method: 'GET',
                //url para la peticion
                url: 'https://jsonplaceholder.typicode.com/todos',
                data: null,
                success: function (respuesta) {//funcion para procesar la respuesta del servidor 
                    //se recorren con el forEach para mostrarlo en el div
                    respuesta.forEach(i => {
                        $('#r2').append('<tr>' + '<td>' + i.id + '</td>' + '<td>' + i.title + '</td>' + '</tr>');
                        $('#r2').append(
                            '<tr>' + 
                            '<td>' + i.id + '</td>' + 
                            '<td>' + i.title + '</td>' + 
                            '</tr>' + 
                            '</tbody>' + 
                            '</table>');
                    });
                },
                error: function (respuesta) {//
                    alert('no funciono');
                }
            });
        }

    </script>

</body>

</html>